
// MasterOfMagicEditor.cpp : Defines the class behaviors for the application.
//
#pragma once

#include "stdafx.h"

#include "Includes.h"

#include "C:\Game Files\Fallout 2\Scripting\sFall\Compile\OCL Common Includes\BringUpUtilities.cpp"

#include "C:\Game Files\Fallout 2\Scripting\sFall\Compile\OCL Common Includes\Utilities.cpp"

#include "Defines.h"

#include "TextFileDefineFunctions.cpp"

#include "TextFileReadFunctions.cpp"

#include "TextFileWriteFunctions.cpp"

#include "TextFileFunctions.cpp"

#include "SaveDialogPosition.cpp"

#include "MasterOfMagicEditor.h"

#include "Dialog.h"

#include "Dialog.cpp"

#include "GUI_DefineFunctions.cpp"

#include "GUI_SaveTextFile.cpp"

#include "GUI_LoadTextFile.cpp"

using namespace std;


#ifdef _DEBUG
#define new DEBUG_NEW
#endif

BEGIN_MESSAGE_MAP(CMasterOfMagicEditorApp, CWinApp)
	ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()

CMasterOfMagicEditorApp::CMasterOfMagicEditorApp()
{

}

CMasterOfMagicEditorApp theApp;

BOOL CMasterOfMagicEditorApp::InitInstance()
{
	CWinApp::InitInstance();

	SetRegistryKey(_T("Master of Magic Editor By Nirran"));

	CShellManager *pShellManager = new CShellManager;

	CMasterOfMagicEditorDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();

	// Delete the shell manager created above.
	if (pShellManager != NULL)
	{
		delete pShellManager;
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	

	return FALSE;
}

